﻿using UnityEngine;
using System.Collections;

public class PointAndDir : MonoBehaviour {

	public GameObject cube;
	void Awake(){
		cube = GameObject.Find ("Cube");
	}

	void Update () {
		if (Input.GetKey (KeyCode.Q)) {
			cube.transform.position = transform.TransformPoint(0,0,2);//这个物体的坐标系转换0,0,2到时间坐标
			cube.transform.parent = transform;//设置父级
			cube.GetComponent<Rigidbody>().isKinematic = true;//设置不受物理影响
		}

		if(Input.GetKey(KeyCode.E)){
			if(cube.transform.parent == this.transform){
				Debug.Log("Local Positon"+cube.transform.localPosition.ToString());
				Debug.Log("World Positon"+cube.transform.position.ToString());

				cube.GetComponent<Rigidbody>().isKinematic = false;
				//transform.DetachChildren();//下面的子物体解除父子关系
				cube.transform.parent = null;
				Vector3 camDirect = transform.TransformDirection(0,0,10);
				cube.GetComponent<Rigidbody>().AddForce(camDirect,ForceMode.Impulse);
			}
		}

	}
}
