﻿using UnityEngine;
using System.Collections;

public class RunSprit2d : MonoBehaviour {
	bool facingRight = true;
	Animator animator;
	// Use this for initialization
	void Start () {
		animator = GetComponent<Animator>();
	}
	
	// Update is called once per frame
	void Update () {
		if(animator){
			float h = Input.GetAxis("Horizontal");
			animator.SetFloat("Speed", Mathf.Abs(h));
			if(h > 0 && !facingRight)
			{	
				Flip();
			}else if(h < 0 && facingRight)
			{	
				Flip();
			}
			if(h * GetComponent<Rigidbody2D>().velocity.x < 5f)
				GetComponent<Rigidbody2D>().AddForce(Vector2.right * h * 365f);
			if(Mathf.Abs(GetComponent<Rigidbody2D>().velocity.x) > 5f)
				GetComponent<Rigidbody2D>().velocity = new Vector2(Mathf.Sign(GetComponent<Rigidbody2D>().velocity.x) * 5f, GetComponent<Rigidbody2D>().velocity.y);
		}

	}


	void Flip ()
	{
		facingRight = !facingRight;
		Vector3 theScale = transform.localScale;
		theScale.x *= -1;
		transform.localScale = theScale;
	}

	public void PrintLog()
	{
		Debug.Log ("idle");
	}


}
